[arch-commits] Commit in slim/trunk (PKGBUILD slim-tty-slowness.patch)

Thayer Williams thayer at archlinux.org
Fri Feb 26 17:34:00 UTC 2010


    Date: Friday, February 26, 2010 @ 12:34:00
  Author: thayer
Revision: 70396

upgpkg: slim 1.3.1-7 added patch to fix tty unresponsiveness

Added:
  slim/trunk/slim-tty-slowness.patch
Modified:
  slim/trunk/PKGBUILD

-------------------------+
 PKGBUILD                |    9 ++++++++-
 slim-tty-slowness.patch |   29 +++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-26 16:59:09 UTC (rev 70395)
+++ PKGBUILD	2010-02-26 17:34:00 UTC (rev 70396)
@@ -1,10 +1,11 @@
 # $Id$
+# Maintainer: Thayer Williams <thayer at archlinux.org>
 # Contributor: Alexander Fehr <pizzapunk gmail com>
 # Contributor: Hugo Ideler <hugoideler at dse.nl>
 
 pkgname=slim
 pkgver=1.3.1
-pkgrel=6
+pkgrel=7
 pkgdesc="Desktop-independent graphical login manager for X11"
 arch=('i686' 'x86_64')
 url="http://slim.berlios.de/"
@@ -17,18 +18,24 @@
         'slim.logrotate'
         'slim.pam'
         'slim-restart.patch'
+        'slim-tty-slowness.patch'
         'slim-1.3.1-gcc44.patch')
 md5sums=('727d0acb24c0fbf0751134c37a9c895f'
          'd8ea9c4dee2811524b67f4f666311a1f'
          '43da096480bf72c3ccec8ad8400f34f0'
          'b20fe3c8487a039050986d60e45233a9'
          '648d871fe7d2a97b7d7b928019e2feee'
+         'be48f19a2e2f154bed750171e8d0fc7f'
          '197e6d05af30e32f96e6fb36110ae752')
 
 build() {
   cd "$srcdir/${pkgname}-$pkgver"
   
+  # fix sluggish tty after slim start
+  patch -Np1 -i $srcdir/slim-tty-slowness.patch || return 1
+
   patch -Np1 -i $srcdir/slim-1.3.1-gcc44.patch || return 1
+
   # Restart Xserver if killed
   # http://developer.berlios.de/patch/?func=detailpatch&patch_id=2378&group_id=2663
   patch -Np1 -i "$srcdir/slim-restart.patch" || return 1

Added: slim-tty-slowness.patch
===================================================================
--- slim-tty-slowness.patch	                        (rev 0)
+++ slim-tty-slowness.patch	2010-02-26 17:34:00 UTC (rev 70396)
@@ -0,0 +1,29 @@
+--- slim-1.3.1.orig/app.cpp	2009-01-13 11:30:36.000000000 +0900
++++ slim-1.3.1/app.cpp	2009-01-13 11:32:27.000000000 +0900
+@@ -270,21 +270,22 @@
+         signal(SIGALRM, AlarmSignal);
+ 
+ #ifndef XNEST_DEBUG
+-        OpenLog();
+-        
+         if (!force_nodaemon && cfg->getOption("daemon") == "yes") {
+             daemonmode = true;
+         }
+ 
+         // Daemonize
+         if (daemonmode) {
+-            if (daemon(0, 1) == -1) {
++            if (daemon(0, 0) == -1) {
+                 cerr << APPNAME << ": " << strerror(errno) << endl;
+                 exit(ERR_EXIT);
+             }
+-            UpdatePid();
+         }
+ 
++        OpenLog();
++        
++        if (daemonmode) UpdatePid();
++
+         CreateServerAuth();
+         StartServer();
+         alarm(2);




More information about the arch-commits mailing list